Jak mohu nainstalovat Adobe AIR?

153

Jsem silným uživatelem některých aplikací postavených na AIR.

Zdá se, že služba AIR přerušila podporu pro systém Linux. Dokonce i starší verze archivů Adobe AIR se zdají podporovat pouze 32 bitové distribuce Linuxu a aktuálně jsem 64 bitů.

Existuje i malá možnost, že v takových podmínkách mohu spustit AIR? Pokud ano, můžete mi říct, kde mohu získat podrobnou instalaci krok za krokem?

    
dané Vamsi Emani 13.12.2011 15:51

8 odpovědí

225

Potřebuji Air asi tři programy - YNAB, LongTailPro, Xtend:

  1. Stáhněte si nejnovější verzi Air 2.6.0 pro Linux na ploše:

  2. Ctrl + Alt + T otevřete terminál

  3. sudo apt-get install ia32-libs - (32bitový odpad, pokud jej chcete spustit v x64 Ubuntu, pokud máte potíže, přečtěte si "Závisí: ia32-libs-multiarch, ale není instalovatelná "- Řešení )

  4. cd Desktop (změna adresáře na plochu)

  5. chmod +x AdobeAIRInstaller.bin (změna režimu - spuštění povolení ano)

  6. ./AdobeAIRInstaller.bin (po akceptaci licence Adobe Air vás vyzve k zadání vašeho hesla, potřebuje root k instalaci)

Možná se vám dostane chyba po posledním příkazu?

  

Omlouváme se, došlo k chybě. Adobe AIR nelze nainstalovat. Před instalací softwaru Adobe AIR nainstalujte Gnome Keyring nebo KDE KWallet.

To může být opraveno:

  • V terminálu (výchozí zkratka: Ctrl + Alt + T) zadejte:

    locate libgnome-keyring.so
    
  • Toto je můj výsledek (vaše mohou být jiné):

    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0
    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0
    
  • Jak je naznačeno níže @jmendeth, nejjednodušším způsobem, jak říct instalátoru, kde je najít tyto soubory, je použít LD_LIBRARY_PATH:

    • Pro 32bitový Ubuntu (testováno na 12.04):

      LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu ./AdobeAIRInstaller.bin
      
    • U 64bitového Ubuntu by příkazový řádek pravděpodobně byl:

      LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./AdobeAIRInstaller.bin
      

Pokud trik LD_LIBRARY_PATH nefunguje, můžete to zkusit:

  • Vytvořte symbolický odkaz na řetězce umístění, který jste našli s předchozími příkazy:

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Použijte následující příkazy pro 32bitové systémy:

    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Potom opakujte kroky 4 & 6 (přeskočte 5, protože povolení ke spuštění souboru se nezměnilo).

  • Odstraňte symbolické odkazy po instalaci aplikace Adobe AIR 2.6.0:

    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0
    

Odkaz:

odpověděl bashpotato 09.04.2012 04:26
43

Ubuntu 13.10, 14.04, 15.04 a 15.10 (64 bitů)

  1. Nainstalujte knihovny i386, které jsou nutné pro úspěšnou instalaci a provoz aplikací Adobe Air a vzduchu.

    sudo apt-get install libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386
    
  2. Nainstalujte balíčeklibgnome-keyring0:i386.

    sudo apt-get install libgnome-keyring0:i386
    
  3. Vytvořte symbolické odkazy na gnome-keyring, aby to viděl Adobe Air.

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 
    
  4. Stáhněte instalační program společnosti Adobe Air z zde .

  5. Umožněte spustit oprávnění a spusťte tento soubor .bin

    sudo chmod +x AdobeAIRInstaller.bin
    sudo ./AdobeAIRInstaller.bin
    

Zdroj

Poznámka pro Ubuntu 16.04 (64 bitů)

U Ubuntu 16.04 a vyšší nainstalujte balíčeklibnss-mdns:i386 namísto balíčkulib32nss-mdns. Tím se vyřeší problém s chybou "Balíček nebyla nalezena" týkající se tohoto balíčku.

    
odpověděl Avinash Raj 29.03.2014 00:36
18

Alternativně můžete nainstalovat předdefinovanou .deb

K dispozici je vzduch 2.6 (poslední podporovaný systém Linux) dostupný zde pro obě architektury (oba používají 32 bitů pod tím, ale fungují alespoň). Díky prusswan pro to, abyste to ukázali.

Ujistěte se, že máte libry 32 bitů, které potřebujete:

sudo apt-get install ia32-libs

Stažil jsem AMD64 (adobeair_2.6.0.19170_amd64.deb) a nainstaloval jsem se do mého počítače (am64 s Precise Pangolin 12.04)

sudo dpkg -i adobeair_2.6.0.19170_amd64.deb

Poté jsem nainstaloval aplikaci, která potřebovala Adobe Air, a to fungovalo.

Aktualizace pro Ubuntu 13:10 + ,

Při pokusu o tuto techniku ​​dostávám "Package ia32-libs-gtk není nainstalován"

Podíval jsem se balíček a pokusil jsem se nainstalovat tyto závislosti a další související balíčky, které si myslím přímo:

sudo apt-get install gtk2-engines:i386 libart-2.0-2:i386 libcairo2:i386 libcanberra-gtk0:i386 libdatrie1:i386 libgail-common:i386 libgconf2-4:i386 libgtk2.0-0:i386 liblua5.1-0:i386 libpango1.0-0:i386 libpixman-1-0:i386 libqt4-network:i386 libqt4-test:i386 libqtcore4:i386 libthai0:i386 libbonobo2-0:i386 libglade2-0:i386 libgnomecanvas2-0:i386 libidl0:i386 liborbit2:i386 libwmf0.2-7:i386 gtk2-engines-murrine:i386

Ale to nefungovalo ani pro deb nebo původní binární .

    
odpověděl yuvilio 29.05.2012 21:56
13

Ubuntu 14.04 - 32 a 64 bitů - snadná instalace .deb

Vzhledem k tomu, že multiarch funguje, můžete nyní jednoduše nainstalovat soubor i386 .deb na novější 64bitový Ubuntu a automaticky nainstalovat správné závislosti. (Také 64bitový .deb je pouze 32bit přebalený se závislostí na ia32-libs)

  1. Stáhněte si 32bitový disk (ano i pro váš 64bitový Ubuntu) deb: Odkaz (díky odpovědi yuvilia) 64bitový balíček na stejném webu je přebalená verze 32 bitů, budete mít problémy, pokud používáte 64bitový balíček použijte 32bitový balíček pro 32bitové i 64bitové systémy Ubuntu 13.10 +.

  2. Otevřete v centru softwaru a klikněte na tlačítko Nainstalovat

    Ignorovat varování o kvalitě balíku

Alternativně, pokud máte hru Steam, která vyžaduje Air, jednoduše nainstalujte a spusťte tuto hru a instalujete Air na první běh hry.

Příklad her, které používají Air:

  • Obránci hledání
  • Anodyne (dostanete zmatek, pokud jste již nainstalovali Air, spusťtesudo apt-get remove adobeair a zkuste instalační program znovu, protože je dodáván s Air)

Nalezli jsem je během týdenního pokorného prodeje na podporu některých projektů s otevřeným zdrojovým kódem.

    
odpověděl Mateo 30.03.2014 13:46
6

Krok 1: Získejte trochu vzduchu Dalším stažení souboru Adobe Air .bin ( přímý odkaz zde ).

Krok 2: Instalace

Otevřete terminál (aplikace > Příslušenství > Terminal) a přejděte do složky Stahování (nebo složky, ve které jste soubor .bin uložili).

* cd Download/

Musíme nechat .bin soubor mít oprávnění k instalaci, tak zadejte následující příkaz pečlivě: -

* chmod +x AdobeAIRInstaller.bin

Nyní můžete nainstalovat:

* ./AdobeAIRInstaller.bin

Instalace by měla zacílit a pokud je vše v pořádku, zobrazí se nová položka nabídky v části Aplikace > Příslušenství "s názvem" Instalátor aplikací Adobe Air ".

    
odpověděl Rubyist 10.01.2012 05:14
4

... konečně po nějakých potížích a po mnoha vyhledáních na tomto fóru se mu to podařilo Google a další stránky. Nejprve chci poděkovat komunitě, která mi dala větší ambice, abych to udělala, než abych přestal instalovat AdobeAir.

Celý problém byl balíček ia32-libs ( Balíček ia32-libs byl hack na instalaci 32bitových balíků na 64bitovou instalaci. ), Byl přidán Multi Arch. Jedním z cílů je odstranění balíčku ia32-libs ), který společnost Canonical rozhodla o ukončení podpory.

Jediné, co jsem musel udělat pro instalaci balíčku ia32-libs , bylo přidat toto repo:

1 - '' deb Odkaz raring hlavní omezený vesmír multiversepackage source ''

Sledoval jsem kroky z tohoto rychlého a snadného tutoriálu:

Odkaz

2 - pak tato stránka, která mě vede k tomuto pěkným krokům k instalaci Adobe Air For 64bitových systémů

www.thepowerbase.com/2013/06/how-to-install-adobe-air-in-ubuntu-13-04 /

----------------- dokumentace, kterou jsem použil: ----------- ----

www.askubuntu.com/questions/87447/how-can-i-install-adobe-air
helpx.adobe.com/air/kb/archived-air-sdk-version.html
www.wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10
www.ubuntuforums.org/showthread.php?t=2181649
www.askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-    unsupported-release  

P.S. --- jak uvádí Alvar, Adobe Air for Linux již není podporován ---

    
odpověděl Cester Nilap 06.11.2013 10:08
1

Bohužel, mnoho let pozdě "Adobe AIR pro Linux již není podporován." podle toho, co říká adobe stránka. Pomocí "archivu AIR" je možné získat nepodporované verze, verze 2.6.0 je poslední dostupná. Pokud potřebujete nainstalovat program, který vyžaduje novější verzi, můžete do virtuální schránky hostovat Windows.

Doporučujeme kroky pro Ubuntu 16.10:

pro 32bitový stroj

wget -O adobe-air_i386.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_i386.deb
sudo dpkg -i adobe-air_i386.deb
sudo apt-get install -f && rm adobe-air_i386.deb

pro 64bitový počítač

wget -O adobe-air_amd64.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_amd64.deb
sudo dpkg -i adobe-air_amd64.deb
sudo apt-get install -f && rm adobe-air_amd64.deb

Doporučené kroky pro Ubuntu 16.04 / 14.04 / 12.04 / Linux Mint 18/17/13 (oba jsou extrahovány z zde ):

wget -O adobe-air.sh http://drive.noobslab.com/data/apps/AdobeAir/adobe-air.sh
chmod +x adobe-air.sh;sudo ./adobe-air.sh
    
odpověděl Fábio 30.03.2017 19:53
0

Mám 64bitový Ubuntu 14.04. Jediný způsob instalace softwaru Adobe Air, který pro mě pracoval, byl sledovat první část těchto pokynů pro instalaci Balsamiq na Ubuntu , což jsem se snažil dělat na prvním místě.

Stručný přehled těchto pokynů: - Stáhněte si tento instalační program Adobe Air - Instalace 32bitového balíku libgtk (ale tento krok jsem přeskočil, pro mě to nefungovalo a nezdálo se nutné) - Vytváření symbolických vazeb na dva soubory libgnome-keyring - Vytváření spustitelného souboru instalačního programu Adobe Air a jeho spouštění pomocí sudo

    
odpověděl Steve Saporta 29.01.2015 23:46